/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Productos;
import com.cosmodas.EntCosmos.ProductosZonasTotal;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class ProductosZonasTotalFacade extends AbstractFacade<ProductosZonasTotal> implements ProductosZonasTotalFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public ProductosZonasTotalFacade() {
        super(ProductosZonasTotal.class);
    }

    @Override
    public List<ProductosZonasTotal> busquedaSucursalYCodigo(String sucursalCodigo, Productos productoCodigo) {
        System.err.println("entra enfacde total sucursal " + sucursalCodigo + " producto" + productoCodigo);
        Query q = em.createNamedQuery("ProductosZonasTotal.findBySucursalCodigoAndProducto");
        q.setParameter("sucursalCodigo", sucursalCodigo);
        q.setParameter("productoCodigo", productoCodigo);
        List<ProductosZonasTotal> rs = q.getResultList();
        if (rs.isEmpty()) {
            System.err.println("salida de ProductosZonasTotal esta vacia");
        }
        System.err.println("ejecuta ");
        System.err.println(rs.get(0).getProductoCodigo().getProductoNombre());

        return rs;
    }

    @Override
    public List<ProductosZonasTotal> productosPorSucursal(String sucursalCodigo) {
        Query q = em.createNamedQuery("ProductosZonasTotal.findBySucursalCodigo");
        q.setParameter("sucursalCodigo", sucursalCodigo);
        return q.getResultList();
    }

}
